Bug 1291019 - [abrt] plasma-nm: QXcbWindow::setParent(): kde5-nm-connection-editor killed by SIGSEGV
[abrt] plasma-nm: QXcbWindow::setParent(): kde5-nm-connection-editor killed b...
Status: CLOSED DUPLICATE of bug 1291003
Product: Fedora
Classification: Fedora
Component: plasma-nm (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:1d7bda2c992d72996a1e7ea65a4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-12 15:57 EST by C6563
Modified: 2016-01-05 05:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-16 08:10:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (39.40 KB, text/plain)
2015-12-12 15:57 EST, C6563
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-12 15:57 EST, C6563
no flags Details
File: core_backtrace (14.91 KB, text/plain)
2015-12-12 15:58 EST, C6563
no flags Details
File: dso_list (19.15 KB, text/plain)
2015-12-12 15:58 EST, C6563
no flags Details
File: environ (1.99 KB, text/plain)
2015-12-12 15:58 EST, C6563
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-12 15:58 EST, C6563
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-12 15:58 EST, C6563
no flags Details
File: maps (88.22 KB, text/plain)
2015-12-12 15:58 EST, C6563
no flags Details
File: mountinfo (3.71 KB, text/plain)
2015-12-12 15:58 EST, C6563
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-12 15:58 EST, C6563
no flags Details
File: open_fds (1.73 KB, text/plain)
2015-12-12 15:58 EST, C6563
no flags Details
File: proc_pid_status (1021 bytes, text/plain)
2015-12-12 15:58 EST, C6563
no flags Details

  None (edit)
Description C6563 2015-12-12 15:57:52 EST
Description of problem:
Import -> VPN
Crashes everytime

Version-Release number of selected component:
plasma-nm-5.5.0-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/kde5-nm-connection-editor
crash_function: QXcbWindow::setParent
executable:     /usr/bin/kde5-nm-connection-editor
global_pid:     8557
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QXcbWindow::setParent at qxcbwindow.cpp:1499
 #1 QWindow::setParent at kernel/qwindow.cpp:614
 #2 QWidgetPrivate::setParent_sys at kernel/qwidget.cpp:10543
 #3 QWidget::setParent at kernel/qwidget.cpp:10398
 #5 QDialogButtonBox::addButton at widgets/qdialogbuttonbox.cpp:761
 #6 KDEPlatformFileDialog::KDEPlatformFileDialog at ../../../src/platformtheme/kdeplatformfiledialoghelper.cpp:103
 #7 KDEPlatformFileDialogHelper::KDEPlatformFileDialogHelper at ../../../src/platformtheme/kdeplatformfiledialoghelper.cpp:201
 #8 KdePlatformTheme::createPlatformDialogHelper at ../../../src/platformtheme/kdeplatformtheme.cpp:269
 #9 QDialogPrivate::platformHelper at dialogs/qdialog.cpp:94
 #10 QFileDialogPrivate::platformFileDialogHelper at dialogs/qfiledialog_p.h:112
Comment 1 C6563 2015-12-12 15:57:57 EST
Created attachment 1105160 [details]
File: backtrace
Comment 2 C6563 2015-12-12 15:57:59 EST
Created attachment 1105161 [details]
File: cgroup
Comment 3 C6563 2015-12-12 15:58:02 EST
Created attachment 1105162 [details]
File: core_backtrace
Comment 4 C6563 2015-12-12 15:58:04 EST
Created attachment 1105163 [details]
File: dso_list
Comment 5 C6563 2015-12-12 15:58:06 EST
Created attachment 1105164 [details]
File: environ
Comment 6 C6563 2015-12-12 15:58:08 EST
Created attachment 1105165 [details]
File: exploitable
Comment 7 C6563 2015-12-12 15:58:11 EST
Created attachment 1105166 [details]
File: limits
Comment 8 C6563 2015-12-12 15:58:14 EST
Created attachment 1105167 [details]
File: maps
Comment 9 C6563 2015-12-12 15:58:16 EST
Created attachment 1105168 [details]
File: mountinfo
Comment 10 C6563 2015-12-12 15:58:17 EST
Created attachment 1105169 [details]
File: namespaces
Comment 11 C6563 2015-12-12 15:58:19 EST
Created attachment 1105170 [details]
File: open_fds
Comment 12 C6563 2015-12-12 15:58:21 EST
Created attachment 1105171 [details]
File: proc_pid_status
Comment 13 Jan Grulich 2015-12-16 08:10:16 EST

*** This bug has been marked as a duplicate of bug 1291003 ***

Note You need to log in before you can comment on or make changes to this bug.